<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
EnvironmentID Enumeration
See Also Send Feedback

Special environment IDs.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public enum EnvironmentID

Visual Basic (Declaration)

    Public Enumeration EnvironmentID

Visual C++

    public enum class EnvironmentID

# Members

| Member name | Description
--- | --- | ---
| EID_BROADCAST | A message should be broadcast to every environment in the replication group, whose eid in ReplicationTransportDelegate is set to be this ID.
| EID_INVALID | An invalid environment ID.
| EID_MASTER | Messages sent on the channel created by RepMgrChannel(Int32) with this ID would be sent only to the master site.

# See Also

BerkeleyDB Namespace